<?php

echo "Today's new date is $nothing";
echo date('Y-m-d');

// Booleans
# False is equal to numeric 0
if (False == 0){
  print "FALSE is equal to 0\n";
}
# NULL is neither True nor False
if (NULL == False) {
  print "NULL is equal to FALSE\n";
}
if (NULL == True) {
  print "NULL is equal to TRUE\n";
}

// Integers
$age = 32;
$circumference = 500000000;

// Floats
$decimal = 2.6;
$exponent = 2E32;

print $exponent;

// Arrays
$array = array(1, 2, 3);
$nested = array(1, 2, 3, array(1, 2, 3), 5);
var_dump($nested);
$empty = array();

// Double quoted strings
$today = date('Y-m-d');
print "<html>
<head><title>$today: News of the day</title></head>
<body><p>Today's date is $today.\n</p></body>
</html>";

// HEREDOC string
$today = date('Y-m-d');
print <<<HTML
<html>
<head><title>$today: News of the day</title></head>
<body><p>Today's date is $today.\n</p></body>
</html>
HTML;

// While loops
$x = 5;
while ($x) {
  print $x-- . "\n";
}

// if ... elseif ... else blocks
$x = 5;
if ($x > 6) {
  print "x is large";
}
elseif ($x > 5) {
  print "x is pretty big";
}
elseif ($x > 0) {
  print "x is enough";
}
else {
  print "x is little";
}

// for loops
for ($x = 1; $x < 5; $x++) {
  print $x . "\n";
}

// foreach loops: returning element values

$array = array(
  'name' => 'Dan Scott',
  'age'  => 32,
  'languages' => array('Perl', 'PHP', 'Python')
);

print "Returning array values:\n";
foreach ($array as $value) {
  if (is_array($value)) {
    foreach ($value as $nextval) {
      print "[$nextval] ";
    }
    print "\n";
  }
  print "$value\n";
}

// foreach loops: returning keys and values
print "Returning array keys and values:\n";
foreach ($array as $key => $value) {
  print "Key: $key; value: $value\n";
}

// Defining functions
function additup($a, $b, $c=0) {
  return $a + $b + $c;
}

print additup(3, 2, 1) . "\n";
print additup(3, 2) . "\n";

// Defining classes

class Horse {
  function __construct($hands, $color) {
    $this->hands = $hands;
    $this->color = $color;
  }

  function getHands() {
    return $this->hands;
  }

  function getColor() {
    return $this->color;
  }

  function getBreed() {
    return $this->breed;
  }
}

class Thoroughbred extends Horse {
  function __construct($hands, $color) {
    parent::__construct($hands, $color);
    $this->breed = 'standardbred';
  }
}

$derby = new Thoroughbred(15, 'blood bay');
print $derby->getHands() . "\n";
print $derby->getColor() . "\n";
print $derby->getBreed() . "\n";

$pcode = 'M4P 1T6';
$pattern = '/^\s*[A-Z]\d[A-Z] \d[A-Z]\d\s*$/';
if (preg_match($pattern, $pcode)) {
  print "Contains a Canadian postal code\n";
}

?>
