<?php
require('ymldlib.php');

if (!array_key_exists('page', $_GET) or !array_key_exists('page', $_GET)) {
  YMLD_index_page();
  exit();
}

$page = $_GET['page'];
$id = $_GET['id'];

if (!is_int($id)) {
  YMLD_index_page();
  exit();
}

if ($page == 'show') {
  YMLD_show_page($id);
}
else if ($page == 'view') {
  YMLD_display_seat_info($id);
}
else {
  YMLD_index_page($conn);
}

function YMLD_index_page() {
  print YMLD_header('YourMamaLovesDrama:: Home');
  $conn = YMLD_databaseConnect();
  if ($conn) {
    $productions = YMLD_select_all_shows($conn);
    print YMLD_display_productions($productions);
  }
  else {
    print "Sorry, we are unable to serve your request at this time.";
  }
  print YMLD_footer();
}

function YMLD_show_page($id) {
  print YMLD_header('YourMamaLovesDrama:: Display Performance');
  $conn = YMLD_databaseConnect();
  $performances = YMLD_select_performance_data($conn, $id);
  $seats = YMLD_select_available_seats($conn, $performances);
  print YMLD_display_performances($performances, $seats);
  print YMLD_footer();
}

function YMLD_header($title) {
  $header = <<<HERE
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US"
 xml:lang="en-US">
  <head><title>$title</title></head>
  <body><h1>$title</h1>
HERE;
  return $header;
}

function YMLD_footer() {
  return "</body>\n</html>";
}

?>
